libjerasure-dev_2.0.0-2_amd64.deb


Advertisement

Description

libjerasure-dev - forward error correction erasure channel library - development files

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libjerasure-dev
Package version: 2.0.0
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 66 B
Download size: 6.56 KB
Official Mirror: ftp.br.debian.org
In information theory, an erasure code is a forward error correction (FEC) code for the binary erasure channel, which transforms a message of symbols into a longer message (code word) with symbols such that the original message can be recovered from a subset of the symbols. Jerasure is a shared library that been designed to be modular, fast and flexible. It is used in storage systems such as Swift and Ceph to add fault tolerance. This package contains the development files needed to build against the shared library.

Alternatives

    Download

    Source package: jerasure

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libjerasure-dev deb package:
      # sudo apt-get install libjerasure-dev

    Files

    • /usr/include/jerasure.h
    • /usr/include/jerasure/cauchy.h
    • /usr/include/jerasure/galois.h
    • /usr/include/jerasure/liberation.h
    • /usr/include/jerasure/reed_sol.h
    • /usr/lib/x86_64-linux-gnu/libJerasure.so
    • /usr/share/doc/libjerasure-dev/changelog.Debian.gz
    • /usr/share/doc/libjerasure-dev/copyright

    Changelog

    2014-12-10 - Thomas Goirand <zigo@debian.org> jerasure (2.0.0-2) unstable; urgency=medium * debian/control: add Depends on libgf-complete-dev for libjerasure-dev (Closes: #772673). Thanks to Dmitry Smirnov <onlyjob@debian.org> for the bug report.

    2014-05-25 - Thomas Goirand <zigo@debian.org> jerasure (2.0.0-1) unstable; urgency=low * Initial release (Closes: #750766).

    Advertisement
    Advertisement